Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363874 - libreofficekit-devel missing headers
Summary: libreofficekit-devel missing headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 19:05 UTC by Neal Gompa
Modified: 2016-09-13 22:23 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.2.1.2-2.fc25 libreoffice-5.1.5.2-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 18:09:27 UTC


Attachments (Terms of Use)

Description Neal Gompa 2016-08-03 19:05:44 UTC
Description of problem:
The libreofficekit-devel package is missing headers for libraries and applications to use to utilize the libreofficekit library.

Version-Release number of selected component (if applicable):
5.1.5.1-2.fc24

How reproducible:
Always

Steps to Reproduce:
1. Install libreofficekit-devel
2. Check for the existence of /usr/include/LibreOfficeKit and headers in the directory.

Actual results:
The directory /usr/include/LibreOfficeKit doesn't exist, and obviously the headers don't either.

I believe these are the header files that should be there, though there may be more:
/usr/include/LibreOfficeKit/LibreOfficeKit.h
/usr/include/LibreOfficeKit/LibreOfficeKit.hxx
/usr/include/LibreOfficeKit/LibreOfficeKitEnums.h
/usr/include/LibreOfficeKit/LibreOfficeKitGtk.h
/usr/include/LibreOfficeKit/LibreOfficeKitInit.h
/usr/include/LibreOfficeKit/LibreOfficeKitTypes.h

Expected results:
The directory /usr/include/LibreOfficeKit should exist and the headers should exist in there.

Additional info:
This is required for building the LibreOffice Online software[1], specifically loolwsd[2].

[1]: https://github.com/LibreOffice/online
[2]: https://github.com/LibreOffice/online/tree/master/loolwsd

Comment 1 Fedora Update System 2016-09-08 08:26:25 UTC
libreoffice-5.2.1.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0b855b6bc

Comment 2 Fedora Update System 2016-09-08 08:27:05 UTC
libreoffice-5.1.5.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a492d16149

Comment 3 Fedora Update System 2016-09-09 06:25:27 UTC
libreoffice-5.2.1.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0b855b6bc

Comment 4 Fedora Update System 2016-09-12 15:28:10 UTC
libreoffice-5.1.5.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a492d16149

Comment 5 Fedora Update System 2016-09-13 18:09:14 UTC
libreoffice-5.2.1.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-13 22:23:37 UTC
libreoffice-5.1.5.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.